# $Revision: 1.19 $, $Date: 2008/07/27 22:26:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	ParseLog
Summary:	Apache::ParseLog - object-oriented Perl extension for parsing Apache log files
Summary(pl.UTF-8):	Apache::ParseLog - obiektowy moduł Perla do analizowania logów Apache
Name:		perl-Apache-ParseLog
Version:	1.02
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	92bd6a964a55e8f7cf0f50dbf77a5280
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::ParseLog provides an easy way to parse the Apache log files,
using object-oriented constructs. The data obtained using this module
are generic enough that it is flexible to use the data for your own
applications, such as CGI, simple text-only report generater, feeding
RDBMS, data for Perl/Tk-based GUI application, etc.

%description -l pl.UTF-8
Apache::ParseLog udostępnia łatwy sposób na analizowanie logów Apache przy
użyciu konstrukcji zorientowanych obiektowo. Dane, uzyskane przy użyciu
tego modułu są na tyle ogólne, że można ich w elastyczny sposób używać
we własnych aplikacjach, takich, jak CGI, proste tekstowe generatory
raportów, karmienie RDBMS, dane dla bazowanych na Perl/Tk aplikacji
GUI, itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt Changes README
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-ParseLog.spec,v $
Revision 1.19  2008/07/27 22:26:22  arekm
- release 4

Revision 1.18  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:21  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 19:36:55  paladine
- formatting

Revision 1.15  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.14  2004/05/06 18:09:14  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.12  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.11  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.10  2004/03/09 20:08:47  adamg
- new style bconds

Revision 1.9  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:25:52  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR

